Subject: [os2genau_digest] No. 1264
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 23 Feb 2006 00:04:43 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Wednesday 22 February 2006
 Number  1264
**************************************************

Subjects for today
 
1  Re:  USB Flash Memory : Chuck McKinnis <mckinnis at sandia dot net>
2  Re:  USB Flash Memory : Kev <kdownes at tpg dot com dot au>
3  Re:  USB Flash Memory : Gavin Miller <gmi12896 at bigpond dot net dot au>
4   Latest Resource.Sys???? Was: Re: Latest SYM8XX.ADD Driver? : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
5  Re:  Latest Resource.Sys???? Was: Re: Latest SYM8XX.ADD Driver? : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
6  Re:  USB Flash Memory : Alan Duval <amoht at tpg dot com dot au>

**= Email   1 ==========================**

Date:  Tue, 21 Feb 2006 06:35:09 -0700
From:  Chuck McKinnis <mckinnis at sandia dot net>
Subject:  Re:  USB Flash Memory

David Shearer wrote:
> On Tue, 21 Feb 2006 16:26:26 +0800, Kev wrote:
> 
>> G'day Alan
>>
>>> Alan Duval wrote:
>>>
>>>> Hi,
>>>>
>>>> I'm thinking of buying USB Flash Memory.
>>>> Questions:
>>>>
>>>> 1.   Are there any brands that I should avoid?
>> I've used PQI brand thumb drives for a year or so, now with no problems 
>> at all.  Recognized on Wintendo, Linux and eCS.
>>
>>>> 2.   Will eCS 1.2 recognize it?
>> yes
>>
>>>> 3.   Is formatting required?
>> Use FAT32 with the latest FAT32.IFS.  I'm 99.9% certain that they're 
>> formatted FAT32 out of the box - I've not needed to format one of this 
>> brand, and they've all worked for me.  I do, however, have the FAT32 
>> driver installed as a matter of course in my machines, hence a 
>> no-brainer - plug it in - it works!!
>>
>> Cheers
>> Kev
>>
>> -- 
>=========================
>> Kev Downes
>> kdownes at tpg dot com dot au  ph 0404 7 0808 2
>> We use and recommend Xandros 3.0.2
>=========================
>> There are 10 types of people ...
>>    ... those who understand binary, and those who don't!
>=========================
>> "Jesus Christ is the centre of everything and the object of everything;
>> He who does not know him, knows nothing of the order of the world
>> and nothing of himself."             Blaise Pascal
>=========================
>
>> 
>
>  I have used the sandisk cruzer series without any problem.  They are relatively cheap 
> and good value.
> 
> I have only used them as FAT16 not FAT32 - up to 256MB.  Using the latest FAT32.IFS 
> drivers I cannot get them to work if formatted as FAT32 - and yes I have latest USB 
> drivers under ecs 1.2.
> 
> Can anyone advise how they got fat32 to work on removable drives?  I have this 
> problem also with some cheaper MP3 players which come pre formated as fat32 and 
> do not work on ecs 1.2.

Make sure that you have the latest USB and IDE drivers installed. 
OS2DASD.DMD is a key component for supporting removable drives.  I just 
leave them as FAT16 drives.  Maybe not the most efficient, but the most 
compatible.

-- 
Chuck McKinnis
Covenant Solutions
http://www.7cities dot net/~mckinnis/os2/
505-286-3191

Always remember to pillage BEFORE you burn.

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Tue, 21 Feb 2006 22:16:33 +0800
From:  Kev <kdownes at tpg dot com dot au>
Subject:  Re:  USB Flash Memory

David Shearer wrote:

>  I have used the sandisk cruzer series without any problem.  They are relatively cheap 
> and good value.
> 
> I have only used them as FAT16 not FAT32 - up to 256MB.  Using the latest FAT32.IFS 
> drivers I cannot get them to work if formatted as FAT32 - and yes I have latest USB 
> drivers under ecs 1.2.
> 
> Can anyone advise how they got fat32 to work on removable drives?  I have this 
> problem also with some cheaper MP3 players which come pre formated as fat32 and 
> do not work on ecs 1.2.

I'm sorry I can't shed any light on this.  I do have the latest refresh 
of eCS installed (1.2.1), but beyond that I've simply enjoyed blissful 
ignorance.  I just plug 'em in and they work.

-- 
=========================
Kev Downes
kdownes at tpg dot com dot au  ph 0404 7 0808 2
We use and recommend Xandros 3.0.2
=========================
There are 10 types of people ...
    ... those who understand binary, and those who don't!
=========================
"Jesus Christ is the centre of everything and the object of everything;
He who does not know him, knows nothing of the order of the world
and nothing of himself."             Blaise Pascal
=========================
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 22 Feb 2006 08:44:06 +1100
From:  Gavin Miller <gmi12896 at bigpond dot net dot au>
Subject:  Re:  USB Flash Memory

I stopped using fat32.ifs when it prevented me to format floppies (yes 
as fat16 before anyone asks), so I keep my usb flash devices as fat16.  
It works fine with ecs 1.1.  Just don't boot with it in, and remember to 
eject it before shutdown.  I have on occasion lost the "format" of the 
flash device and have to reformat it.  I do however swap from Wintendo 
to Ecs quite often, so I expect some corruption every now and then. 
(Besides I always have the original files on the HD's)

My Nikon D70 can be read in ecs 1.1 as well, however data loss is more 
prevalent; unreliably so.  In fact ejecting the drive WILL cause data 
loss.  Just pulling the USB cable is pot luck;  sometimes loss; 
sometimes not.  I must admit though that I haven't updated any USB drivers.

Cheers
G

Kev wrote:
>
>
> David Shearer wrote:
>
>>  I have used the sandisk cruzer series without any problem.  They are 
>> relatively cheap and good value.
>>
>> I have only used them as FAT16 not FAT32 - up to 256MB.  Using the 
>> latest FAT32.IFS drivers I cannot get them to work if formatted as 
>> FAT32 - and yes I have latest USB drivers under ecs 1.2.
>>
>> Can anyone advise how they got fat32 to work on removable drives?  I 
>> have this problem also with some cheaper MP3 players which come pre 
>> formated as fat32 and do not work on ecs 1.2.
>
> I'm sorry I can't shed any light on this.  I do have the latest 
> refresh of eCS installed (1.2.1), but beyond that I've simply enjoyed 
> blissful ignorance.  I just plug 'em in and they work.
>
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 22 Feb 2006 14:33:48 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:   Latest Resource.Sys???? Was: Re: Latest SYM8XX.ADD Driver?

I tried the DDS unit on the IBM ServeRAID 3L. Fitted everything on it, but the tape was unreadable (and I had to put the tape in it upside down which I was never a fan of).

The MB I have is a iWill DBS-100, which is a dual (ie SMP) machine and it has 2x333MHz P II's on it and 128Mb of ram. It also has dual SCSI controllers on it (which is why I originally purchased it) it has dual Adaptec AIX-7895's on it. Which I've always been a little suss of...

I also noticed that the drive mostly hung around the end of a segment (4Gb) on tape. Perhaps there is some unusual interrupt activity at that point in time...?

So I diabled the chips in the bios.

The machine then kernel trapped when the AIC???.ADD's attempted to load.

So I REM'ed them out of config.sys and two really odd things happened.

1. The tape attached to the SymBIOS 53C895 now works fine.
2. The IBM ServeRAID card now showed up on the output of RMView!

RMVIEW /IRQ

RMVIEW: Physical view
  IRQ Level =  0  PCI Pin = NONE  Flg = EXCLUSIVE    TIMER_CH_0
  IRQ Level =  1  PCI Pin = NONE  Flg = EXCLUSIVE    KBD_0 Keyboard Controller
  IRQ Level =  2  PCI Pin = NONE  Flg = EXCLUSIVE    PIC_1
  IRQ Level =  3  PCI Pin = NONE  Flg = MULTIPLEXED  SERIAL_1 Serial Controller
  IRQ Level =  4  PCI Pin = NONE  Flg = MULTIPLEXED  SERIAL_0 Serial Controller
  IRQ Level =  6  PCI Pin = NONE  Flg = MULTIPLEXED  FLOPPY_0 Floppy Controller
  IRQ Level =  7  PCI Pin = NONE  Flg = MULTIPLEXED  PARALLEL_0 Parallel Port Adapter
  IRQ Level =  8  PCI Pin = NONE  Flg = EXCLUSIVE    RTC
  IRQ Level = 10  PCI Pin = NONE  Flg = EXCLUSIVE    IBM ServeRAID Controller 1
  IRQ Level = 12  PCI Pin = NONE  Flg = EXCLUSIVE    AUX_0 PS/2 Auxiliary Device Controller
  IRQ Level = 15  PCI Pin = A     Flg = SHARED       Symbios SYM53C8XX Controller

RMVIEW

    Adapter: PCI_Bus_0
    Device Type: OTHER          Bus/Width: PLANAR 32 BIT

      Adapter: IBM ServeRAID Controller 1
      Device Type: MS-SCSI        Bus/Width: PCI 32 BIT
      IRQ Level = 10  PCI Pin = NONE  Flg = EXCLUSIVE
      I/O = 0XDC00  Len = 256  Flg = MULTIPLEXED Addr Lines = 16

        Device: Disk Drive  1   FIXED  DISK

      Adapter: Symbios SYM53C8XX Controller
      Device Type: MS-SCSI        Bus/Width: PCI 32 BIT
      IRQ Level = 15  PCI Pin = A     Flg = SHARED
      Memory Base = 0XE5100000  Size = 00000100  Flg =  EXCLUSIVE

        Device: TAPE_0      ARCHIVE  Python 06240-XXX 8240   REMOVABLE  TAPE

When the Adaptec drivers are loaded, I see them but not the ServeRAID (either in the IRQ or normal view).

So do we have a driver compatability problem or does resource.sys still need fixing?

Then I remembered the problems I had installing both of the drivers, the order of the ADD's was significant.

This is the order that they are loaded in config.sys:

PSD=OS2APIC.PSD
REM BASEDEV=AIC78U2.ADD /V
REM BASEDEV=AIC7870.ADD /V
BASEDEV=IPSRAID.ADD /V
BASEDEV=SYM8XX.ADD /V
BASEDEV=DAC960.ADD /V
BASEDEV=IBMKBD.SYS
BASEDEV=TIMER0.SYS
BASEDEV=PRINT01.SYS /IRQ:7
BASEDEV=IBM1FLPY.ADD
BASEDEV=IBM2FLPY.ADD
BASEDEV=XDFLOPPY.FLT
BASEDEV=I2OXPORT.SYS
BASEDEV=I2OSOSM.ADD
BASEDEV=OS2DASD.DMD
BASEDEV=OS2LVM.DMD
BASEDEV=OS2SCSI.DMD
BASEDEV=CHKDSK.SYS
BASEDEV=IBMATAPI.FLT
REM BASEDEV=USBUHCD.SYS
REM BASEDEV=USBD.SYS /REQ:USBUHCD$
REM BASEDEV=USBHID.SYS
REM BASEDEV=USBMSD.ADD
REM BASEDEV=USBCDROM.ADD

Normally I have only a CD-ROM or tape on the adaptec controllers. I had to place the Adaptec drivers before the serveraid one (ISPRAID.ADD) otherwise they would not be loaded. It would complain of resource allocation problems.

Then I remembered that there was a fix to Resource.Sys that offered (presumably) a solution to the problem.

So, I found that one (actually a newer one again).

[U:\os2\boot]bldlevel resource.sys
Build Level Display Facility Version 5.59.105 Mar 15 1999
(C) Copyright IBM Corporation 1993-1999
Signature:        at #IBM:10.057# at   Resource Management Driver
Vendor:          IBM
Revision:        10.57
File Version:    10.57
Description:     Resource Management Driver

Does anyone have a newer one?

So, I guess that all of the problems with the tape are a) specific to this machine, b) specific to the usage of and sharing of interrupts on this machine and most importantly solvable by losing the CD-ROM for a while.

I am still puzzled as to why it hangs when the drivers attempt to load the the chips have been disabled (perhaps they are still partially visible and the driver can not handle this???)

Anyway, these are the versions that I am using and I am interested if anyone had a newer version:

[U:\os2\boot]bldlevel aic78u2.add
Build Level Display Facility Version 5.59.105 Mar 15 1999
(C) Copyright IBM Corporation 1993-1999
Signature:        at #OEM:10.3# at  Adaptec Ultra2 Family Driver for OS/2 (d10.3 10/15/2001)
Vendor:          OEM
Revision:        10.03
File Version:    10.3
Description:     Adaptec Ultra2 Family Driver for OS/2 (d10.3 10/15/2001)

[U:\os2\boot]bldlevel aic7870.add
Build Level Display Facility Version 5.59.105 Mar 15 1999
(C) Copyright IBM Corporation 1993-1999
Signature:        at #OEM:10.3# at  Adaptec 7800 Family Driver for OS/2 (d10.3 10/15/2001)
Vendor:          OEM
Revision:        10.03
File Version:    10.3
Description:     Adaptec 7800 Family Driver for OS/2 (d10.3 10/15/2001)

[U:\os2\boot]dir AIC*.ADD

25/10/01  16:45      42574           0  AIC7770.ADD
25/10/01  16:16     154140           0  AIC7870.ADD
25/10/01  16:17     156412           0  AIC78U2.ADD
25/10/01  16:17     169548           0  AICU160.ADD

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Wed, 22 Feb 2006 20:04:54 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  Latest Resource.Sys???? Was: Re: Latest SYM8XX.ADD Driver?

On Tue, 21 Feb 2006 21:21:18 -0800, Dave Yeo wrote:

>On Wed, 22 Feb 2006 14:33:48 +1100, Chris Graham [WarpSpeed] wrote:
>
>>2. The IBM ServeRAID card now showed up on the output of RMView!
>>
>>RMVIEW /IRQ
>>
>>RMVIEW: Physical view
>>  IRQ Level =  0  PCI Pin = NONE  Flg = EXCLUSIVE    TIMER_CH_0
>>  IRQ Level =  1  PCI Pin = NONE  Flg = EXCLUSIVE    KBD_0 Keyboard Controller
>>  IRQ Level =  2  PCI Pin = NONE  Flg = EXCLUSIVE    PIC_1
>>  IRQ Level =  3  PCI Pin = NONE  Flg = MULTIPLEXED  SERIAL_1 Serial Controller
>>  IRQ Level =  4  PCI Pin = NONE  Flg = MULTIPLEXED  SERIAL_0 Serial Controller
>>  IRQ Level =  6  PCI Pin = NONE  Flg = MULTIPLEXED  FLOPPY_0 Floppy Controller
>>  IRQ Level =  7  PCI Pin = NONE  Flg = MULTIPLEXED  PARALLEL_0 Parallel Port Adapter
>>  IRQ Level =  8  PCI Pin = NONE  Flg = EXCLUSIVE    RTC
>>  IRQ Level = 10  PCI Pin = NONE  Flg = EXCLUSIVE    IBM ServeRAID Controller 1
>>  IRQ Level = 12  PCI Pin = NONE  Flg = EXCLUSIVE    AUX_0 PS/2 Auxiliary Device Controller
>>  IRQ Level = 15  PCI Pin = A     Flg = SHARED       Symbios SYM53C8XX Controller
>>
>>RMVIEW
>>
>>    Adapter: PCI_Bus_0
>>    Device Type: OTHER          Bus/Width: PLANAR 32 BIT
>>
>>      Adapter: IBM ServeRAID Controller 1
>>      Device Type: MS-SCSI        Bus/Width: PCI 32 BIT
>>      IRQ Level = 10  PCI Pin = NONE  Flg = EXCLUSIVE
>>      I/O = 0XDC00  Len = 256  Flg = MULTIPLEXED Addr Lines = 16
>>
>>        Device: Disk Drive  1   FIXED  DISK
>>
>>      Adapter: Symbios SYM53C8XX Controller
>>      Device Type: MS-SCSI        Bus/Width: PCI 32 BIT
>>      IRQ Level = 15  PCI Pin = A     Flg = SHARED
>>      Memory Base = 0XE5100000  Size = 00000100  Flg =  EXCLUSIVE
>>
>>        Device: TAPE_0      ARCHIVE  Python 06240-XXX 8240   REMOVABLE  TAPE
>>
>
>Almost seems like an irq conflict (or other resources). Try running
>http://hobbes.nmsu.edu/pub/os2/util/misc/pci104vka.zip and see what it
>says. 
>IIRC http://hobbes.nmsu.edu/pub/os2/system/drivers/spciirq.zip will
>allow you to change IRQs

That is what I thought (always had issues with this machine) and I thought
that I'd been able to get rid of the problem (nope... :-(((().

That is why I turned off the SCSI chip on the MB and the drivers as well.

That way (at least according to the bios at boot time) I don't have any
interrupts being shared.

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Wed, 22 Feb 2006 21:22:39 +1100
From:  Alan Duval <amoht at tpg dot com dot au>
Subject:  Re:  USB Flash Memory

Ed Durrant wrote:

> Alan Duval wrote:
>
>> Hi,
>>
>> I'm thinking of buying USB Flash Memory.
>> Questions:
>>
>> 1.   Are there any brands that I should avoid?
>> 2.   Will eCS 1.2 recognize it?
>> 3.   Is formatting required?
>>
>> Regards,
>>
>> Alan duval
>>
> Hmm, if by "Flash memory" you mean a USB memory key (Flash memory is 
> usually used to hold firmware code on various devices) - I have never 
> had any issues as long as you have the latest USB drivers (basic and 
> MSD) installed, however, to be sure to get a make/model that works 
> check at http://www.os2warp.be

I had a look at the above site and could only see the following drivers:

1.   USB 1.1 Basic Device Drivers / MSD  Driver set,  Version 1.2b  
dated  26/1/03

2.   Latest official IBM device driver build 10.097 (required for use of 
USB keys)

Is 1. the latest ? as it is dated 26/1/03.
2. is unavailable unless one has a subscription so is it available 
elsewhere than from IBM?

Regards,

Alan Duval

----------------------------------------------------------------------------------